import babel from "rollup-plugin-babel";
import resolve from "rollup-plugin-node-resolve";
import url from "rollup-plugin-url";
import commonjs from "rollup-plugin-commonjs";
import alias from "@rollup/plugin-alias";
import path from "path";

const urlLoder = url({
  limit: 100 * 1024,
  include: ["**/*.svg"]
});

export default {
  input: "src/index.js",
  output: {
    file: "dist/esm.js",
    format: "esm",
    sourcemap: true
  },
  plugins: [
    babel({
      exclude: "node_modules/**"
    }),
    resolve(),
    urlLoder,
    commonjs({
      include: ["node_modules/**"]
    }),
    alias({
      entries: {
        react: path.resolve(
          __dirname,
          "./node_modules/preact/compat/dist/compat.module.js"
        ),
        "react-dom": path.resolve(
          __dirname,
          "./node_modules/preact/compat/dist/compat.module.js"
        )
      }
    })
  ]
};
