import { h, createContext } from 'preact';
import { useContext } from 'preact/compat';
import { useState } from 'preact/hooks';

const NoticeBarContext = createContext();

const NoticeBarState = ({ ...props }) => {
  const [isShowModal, setIsShowModal] = useState(false);
  const [isShowNoticeBar, setIsShowNoticeBar] = useState(false);

  return (
    <NoticeBarContext.Provider value={{ isShowModal, setIsShowModal }}>
      {props.children}
    </NoticeBarContext.Provider>
  );
};

export const useContextNoticeBar = () => {
  const context = useContext(NoticeBarContext);
  return context;
};

export default NoticeBarState;
